<form class="ui large form segment">
  <h3 class="ui header"></h3>

  <div class="ui raised segment">
    <h2 class="ui header">Enter Your Query Here</h2>
    <form class="ui form" [formGroup] = 'myForm' (ngSubmit)=getTweets(myForm.value)>
      <div class="field" [class.error]="!search.valid && search.touched">
          <label for="skuInput">Search Query</label>
          <input type="text" name="search" placeholder="Enter query" [formControl]= "myForm.controls['search']" [(ngModel)] ="query_name">
          <div class="ui error message" [ngClass]="{'error':search.hasError('invalidSearch')}">
              Enter a keyword this field cant be empty
          </div>
          <!-- <div class="ui error message" *ngIf="!search.valid">
              This aint valid Biatch!!
          </div> -->
      </div>
      <div class="field">
          <label for="skuInput">Time</label>
          <input type="text" name="time" placeholder="Enter val" [formControl]= "myForm.controls['period']" [(ngModel)] ="time_period">
          <div class="ui error message" [ngClass]="{'error':period.hasError('invalidPeriod')}">
              Enter a keyword this field cant be empty
          </div>
          <!-- <div *ngIf="period.valid" class="ui error message">
              This aint valid Biatch!!
          </div> -->
      </div>
      <div *ngIf="!myForm.valid"class="ui error message">Form is invalid</div>
      <button type="submit"  name="button">Submit</button>
    </form>
</div>

</form>

<div class="ui info message">
    The search Query is {{query_name}}. From Period - {{time_period}}
</div>
<!--<div class="ui grid posts">
  <tweet-component *ngFor="let tweet of sortedTweets()" [tweet] = "tweet">
  </tweet-component>
</div> -->
